package com.gx.obe.web.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.log4j.Logger;

import com.gx.obe.components.core.Constants;
import  com.gx.obe.web.utils.NetworkRequest;
import com.gx.obe.http.json.JsonUtil;
import com.gx.obe.web.entity.price.BidPriceItemHisResult;
import com.gx.obe.web.utils.ResultStatus;

/** 
 * @Description: 投标报价明细（开标一览表明细）历史服务
 * @author mazc 
 */
public class BidPriceItemHisResultService {
	private Logger logger = Logger.getLogger(BidPriceItemHisResultService.class);

	static final String URL = "bidPriceItemHisResult";
	
	
	/**
	 * @Description: 条件查询
	 * @author mazc
	 * @param tenderId
	 * @param bidPriceId
	 * @param supplierId
	 * @param round
	 * @return 
	 */
	public List<BidPriceItemHisResult> conditionalQueryList(String tenderId,String bidPriceId,String supplierId,int round){
		String strWebServerUrl = Constants.getServiceUrl( URL + "/conditionalQueryList");
		Map<String, Object> param = new HashMap<String, Object>();
		param.put("tenderId", tenderId);
		param.put("bidPriceId", bidPriceId);
		param.put("supplierId", supplierId);
		param.put("round", round);
		try {
			String result = NetworkRequest.get(strWebServerUrl, param);
			if(ResultStatus.getReultStatusOK(result)){
				return JsonUtil.jsonToList(result, BidPriceItemHisResult.class);				
			}
			return null;
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return null;
		}
	}

}
