package com.gx.obe.web.service;

import java.util.HashMap;
import java.util.Map;

import org.apache.log4j.Logger;

import com.gx.obe.components.core.Constants;
import  com.gx.obe.web.utils.NetworkRequest;
import com.gx.obe.http.json.JsonUtil;
import com.gx.obe.util.utils.UuidUtils;
import com.gx.obe.web.entity.Chain;
import com.gx.obe.web.utils.ResultStatus;
import com.gx.obe.web.vo.UpdateAssignPropertyVo;

public class ChainService {
	static final String URL = "chain";
	
	private Logger logger = Logger.getLogger(ChainService.class);
 	

	/**
	 * @Description: 
	 * @author wangxiang
	 * @param tenderId
	 * @param chainType
	 * @return 
	 */
	public Chain getChainByTenderIdAndType(String tenderId, String chainType){
		String strWebServerUrl = Constants.getServiceUrl( URL +"/getChainByTenderIdAndType");
		Map<String, Object> param = new HashMap<String, Object>();
		param.put("tenderId", tenderId);
		param.put("chainType", chainType);
		try{
			String result = NetworkRequest.get(strWebServerUrl, param);
			if(ResultStatus.getReultStatusIsNotEmpty(result)){
				return JsonUtil.jsonToBean(result, Chain.class);		
			}
			return null;
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return null;
		}
	}


	public boolean updateAssignProperty(Chain chain, String[] attributes) {
        //登陆请求地址
        String strWebServerUrl = Constants.getServiceUrl(URL + "/updateAssignProperty");
        
        UpdateAssignPropertyVo<Chain> updateAssignPropertyVo = new UpdateAssignPropertyVo<Chain>();
        updateAssignPropertyVo.setEntity(chain);
        updateAssignPropertyVo.setAttributes(attributes);
        try {
            String result = NetworkRequest.post(strWebServerUrl, JsonUtil.jsonObjectToStr(updateAssignPropertyVo));
            return ResultStatus.getReultStatusBoolean(result);
        } catch (Exception e) {
            logger.error(e.getMessage(), e);
            return false;
        }
    
	}


	public boolean insert(Chain chain) {
		//获取服务器地址
		String strWebServerUrl = Constants.getServiceUrl(URL + "/insert");
		chain.setId(UuidUtils.getUUID());
		try{
			String result = NetworkRequest.post(strWebServerUrl, JsonUtil.objectToStr(chain));
			return ResultStatus.getReultStatusBoolean(result);
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return false;
		}
	}
	
	
	
}
