package com.gx.obe.web.service;

import java.util.HashMap;
import java.util.Map;

import org.apache.log4j.Logger;

import com.gx.obe.components.core.Constants;
import  com.gx.obe.web.utils.NetworkRequest;
import com.gx.obe.web.utils.ResultStatus;

 
/** 
 * @Description: 
 * @author mazc 
 */
public class DictionaryLinkService {

	static final String URL = "dictLink";
	
	private Logger logger = Logger.getLogger(DictionaryLinkService.class);
	
	
	/**
	 * @Description: 删除项目的特征码检查项
	 * @author mazc
	 * @param tenderId
	 */
	public boolean deleteFeatureCheckItem(String tenderId){
		String strWebServerUrl = Constants.getServiceUrl(URL + "/deleteFeatureCheckItem");
		Map<String, Object> param = new HashMap<String, Object>();
		param.put("tenderId", tenderId);
		try {
			String result = NetworkRequest.get(strWebServerUrl, param);
			return ResultStatus.getReultStatusBoolean(result);	
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return false;
		}
	}
	
	/**
	 * @Description: 删除项目的清标检查项
	 * @author mazc
	 * @param tenderId
	 */
	public boolean deleteCleanTenderItem(String tenderId){
		String strWebServerUrl = Constants.getServiceUrl(URL + "/deleteCleanTenderItem");
		Map<String, Object> param = new HashMap<String, Object>();
		param.put("tenderId", tenderId);
		try {
			String result = NetworkRequest.get(strWebServerUrl, param);
			return ResultStatus.getReultStatusBoolean(result);	
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return false;
		}
	}
	
}
