package com.gx.obe.web.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.log4j.Logger;

import com.gx.obe.business.entity.EditPriceItemResult;
import com.gx.obe.components.core.Constants;
import  com.gx.obe.web.utils.NetworkRequest;
import com.gx.obe.http.json.JsonUtil;
import com.gx.obe.web.utils.ResultStatus;

/** 
 * @Description: 
 * @author mazc 
 */
public class EditPriceItemResultService {
	
	static final String URL = "editPriceItemResult";
	
	private Logger logger = Logger.getLogger(EditPriceItemResultService.class);
	
	public List<EditPriceItemResult> getEditPriceItemResultList(String tenderId){
		String strWebServerUrl = Constants.getServiceUrl(URL + "/getEditPriceItemResultList");
		Map<String, Object> param = new HashMap<String, Object>();
		param.put("tenderId", tenderId);
		try {
			String result = NetworkRequest.get(strWebServerUrl, param);
			if(ResultStatus.getReultStatusIsNotEmpty(result)){
				return JsonUtil.jsonToList(result, EditPriceItemResult.class);
			}
			return null;	
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return null;
		}
	}
	
}
