package com.gx.obe.web.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.log4j.Logger;

import com.gx.obe.business.entity.EditPriceItem;
import com.gx.obe.components.core.Constants;
import  com.gx.obe.web.utils.NetworkRequest;
import com.gx.obe.http.json.JsonUtil;
import com.gx.obe.web.utils.ResultStatus;
import com.gx.obe.web.vo.SaveEditPriceItemListVo;

/** 
 * @Description: 
 * @author mazc 
 */
public class EditPriceItemService {
	
	static final String URL = "editPriceItem";
	
	private Logger logger = Logger.getLogger(EditPriceItemService.class);
	
	/**
	 * @Description: 获取修正报价项列表
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	public List<EditPriceItem> getEditPriceItemList(String tenderId){
		String strWebServerUrl = Constants.getServiceUrl( URL + "/getEditPriceItemList");		
		Map<String, Object> param = new HashMap<String, Object>();
		param.put("tenderId", tenderId);
		try{
			String result = NetworkRequest.get(strWebServerUrl, param);
			if(ResultStatus.getReultStatusIsNotEmpty(result)){
				return JsonUtil.strToList(result, EditPriceItem.class);
			}
			return null;
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return null;
		}
	}

 
	/**
	 * @Description: 保存修正报价项列表
	 * @author mazc
	 * @param editPriceItemList
	 * @param removeList
	 * @return 
	 */
	public boolean saveEditPriceItemList(List<EditPriceItem> editPriceItemList, List<EditPriceItem> removeList){
		SaveEditPriceItemListVo saveEditPriceItemListVo = new SaveEditPriceItemListVo();
		saveEditPriceItemListVo.setEditPriceItemList(editPriceItemList);
		saveEditPriceItemListVo.setRemoveList(removeList);
		//请求地址
		String strWebServerUrl = Constants.getServiceUrl( URL + "/saveEditPriceItemList");
		try {
			String result = NetworkRequest.post(strWebServerUrl, JsonUtil.jsonObjectToStr(saveEditPriceItemListVo));
			return ResultStatus.getReultStatusBoolean(result);
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return false;
		}
	}
	
}
