package com.gx.obe.web.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.log4j.Logger;

import com.gx.obe.business.entity.Result;
import com.gx.obe.components.core.Constants;
import com.gx.obe.http.json.JsonUtil;
import com.gx.obe.web.entity.FileInfoEntity;
import  com.gx.obe.web.utils.NetworkRequest;
import com.gx.obe.web.utils.ResultStatus;

public class ReportFileService {
	
	static final String URL = "reportFile";
	
	private Logger logger = Logger.getLogger(ReportFileService.class);

	public List<FileInfoEntity> getReportFile(String tenderId ,String supplierId,String fileType) { 
		String strWebServerUrl = Constants.getServiceUrl(URL + "/getReportFile");
		Map<String, Object> param = new HashMap<String, Object>();       
		param.put("tenderId",tenderId);
		param.put("supplierId",supplierId);
		param.put("fileType",fileType);
         
		try {
			String result = NetworkRequest.post(strWebServerUrl, param);
			if(ResultStatus.getReultStatusIsNotEmpty(result)){
				return JsonUtil.jsonToList(result, FileInfoEntity.class);
			}
			return null;
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return null;
		}
	}
	
	public String getFileMD5(String fileURL){
		String strWebServerUrl = Constants.getServiceUrl(URL + "/getFileMD5");
		Map<String, Object> param = new HashMap<String, Object>();       
		param.put("fileURL",fileURL);
		Result<String> resultEvent;
		try {
			String result = NetworkRequest.post(strWebServerUrl, param);
			if(ResultStatus.getReultStatusIsNotEmpty(result)){
				resultEvent = (Result<String>) JsonUtil.jsonToBean(result, Result.class);
				if(null != resultEvent){
					return resultEvent.getData();
				}
			}
			return null;
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return null;
		}
 	}
	
	
}
