package com.gx.obe.web.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.log4j.Logger;

import com.gx.obe.components.core.Constants;
import  com.gx.obe.web.utils.NetworkRequest;
import com.gx.obe.http.json.JsonUtil;
import com.gx.obe.web.entity.Result.RequestBody;
import com.gx.obe.web.entity.auth.Menu;
import com.gx.obe.web.utils.ResultStatus;

/** 
 * @Description: 
 * @author mazc 
 */
public class RoleMenuService {
	
	static final String URL = "authRoleMenu";
	
	private Logger logger = Logger.getLogger(RoleMenuService.class);
	
	/**
	 * @Description: 为角色分配菜单
	 * @author mazc
	 * @param authRole
	 * @param menuList
	 * @return 
	 */
	public boolean assignRoleResource(String authRoleId,String userId, List<Menu> menuList){
		String strWebServerUrl = Constants.getServiceUrl(URL + "/assignRoleResource");
		RequestBody<Menu> requesBody = new RequestBody<Menu>();
		requesBody.setEntityList(menuList);
		requesBody.setParam("authRoleId", authRoleId);
		requesBody.setParam("userId", userId);
		try {
			String result = NetworkRequest.post(strWebServerUrl, JsonUtil.objectToStr(requesBody));
			return ResultStatus.getReultStatusIsNotEmpty(result);
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return false;
		}
	}
	
	/**
	 * @Description: 获得角色的菜单
	 * @author mazc
	 * @param roleId
	 * @return 
	 */
	public List<Object> getRoleResourceList(String roleId){
		String strWebServerUrl = Constants.getServiceUrl(URL + "/getRoleResourceList");
		Map<String, Object> param = new HashMap<String, Object>();
		param.put("roleId", roleId);
		try {
			String result = NetworkRequest.get(strWebServerUrl, param);
			if(ResultStatus.getReultStatusIsNotEmpty(result)){
				return JsonUtil.StrToCollection(result, Object.class);
			}
			return null;
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return null;
		}
		
		

	}
}
