package com.gx.obe.web.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.log4j.Logger;

import com.gx.obe.components.core.Constants;
import com.gx.obe.http.json.JsonUtil;
import com.gx.obe.web.entity.SupplierBidBond;
import  com.gx.obe.web.utils.NetworkRequest;
import com.gx.obe.web.utils.ResultStatus;

public class SupplierBidBondService {
	static final String URL = "supplierBidBond";
	
	private Logger logger = Logger.getLogger(SupplierBidBondService.class);
 	

	/**
	 * @Description: 获得包件下所有保证金
	 * @author wangxiang
	 * @param tenderId
	 * @return 
	 */
	public List<SupplierBidBond> getSupplierBondByTenderId(String tenderId){
		String strWebServerUrl = Constants.getServiceUrl( URL +"/getSupplierBidBondByTenderId");
		Map<String, Object> param = new HashMap<String, Object>();
		param.put("tenderId", tenderId);
		try {
			String result = NetworkRequest.get(strWebServerUrl, param);
			if (ResultStatus.getReultStatusIsNotEmpty(result)) {
				return JsonUtil.jsonToList(result, SupplierBidBond.class);
			}
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return null;
		}
		return null;
	}


	/**
	 * @Description: 保存保证金
	 * @author wangxiang
	 * @param supplierBidBondList
	 * @return 
	 */
	public boolean batchSaveSupplierBidBond(List<SupplierBidBond> supplierBidBondList) {
		String strWebServerUrl = Constants.getServiceUrl( URL + "/batchSaveSupplierBidBond");
		try {
			String result = NetworkRequest.post(strWebServerUrl, JsonUtil.jsonObjectToStr(supplierBidBondList));
			return ResultStatus.getReultStatusBoolean(result);
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return false;
		}
	}
	
}
