package com.gx.obe.web.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.log4j.Logger;

import com.gx.obe.business.entity.SupplierEvaluationStep;
import com.gx.obe.components.core.Constants;
import  com.gx.obe.web.utils.NetworkRequest;
import com.gx.obe.http.json.JsonUtil;
import com.gx.obe.web.utils.ResultStatus;

public class SupplierEvaluationStepService {
	static final String URL = "supplierEvaluationStep";
	private Logger logger = Logger.getLogger(SupplierEvaluationStepService.class);
	
	/**
	 * @Description: 获得投标人的评标步骤
	 * @author wangxiang
	 * @param tenderId
	 * @param supplierId
	 * @param stepId
	 * @return
	 */
	public SupplierEvaluationStep getSupplierEvaluationStep(String tenderId, String supplierId, String stepId) {
		//获取服务器地址
		String strWebServerUrl = Constants.getServiceUrl( URL + "/getSupplierEvaluationStep");
		Map<String, Object> param = new HashMap<String, Object>();
		param.put("tenderId", tenderId);
		param.put("supplierId", supplierId);
		param.put("stepId", stepId);
		try{
			String result = NetworkRequest.get(strWebServerUrl, param);
			if(ResultStatus.getReultStatusIsNotEmpty(result)){
				return JsonUtil.jsonToBean(result, SupplierEvaluationStep.class);
			}
			return null;
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return null;
		}
	}

	public List<SupplierEvaluationStep> getSupplierEvaluationStepByTenderId(String tenderId){
		String strWebServerUrl = Constants.getServiceUrl( URL + "/getSupplierEvaluationStepByTenderId");
		Map<String, Object> param = new HashMap<String, Object>();
		param.put("tenderId", tenderId);
		try{
			String result = NetworkRequest.get(strWebServerUrl, param);
			if(ResultStatus.getReultStatusIsNotEmpty(result)){
				return JsonUtil.strToList(result, SupplierEvaluationStep.class);
			}
			return null;
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return null;
		}
	}

	public List<SupplierEvaluationStep> getSupplierEvaluationStepByTenderIdAndSupplierId(String tenderId,String supplierId){
		String strWebServerUrl = Constants.getServiceUrl( URL + "/getSupplierEvaluationStepByTenderIdAndSupplierId");
		Map<String, Object> param = new HashMap<String, Object>();
		param.put("tenderId", tenderId);
		param.put("supplierId", supplierId);
		try{
			String result = NetworkRequest.get(strWebServerUrl, param);
			if(ResultStatus.getReultStatusIsNotEmpty(result)){
				return JsonUtil.strToList(result, SupplierEvaluationStep.class);
			}
			return null;
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return null;
		}
	}
	
	public List<SupplierEvaluationStep> getSupplierEvaluationStepByTenderIdAndStepId(String tenderId,String StepId){
		String strWebServerUrl = Constants.getServiceUrl( URL + "/getSupplierEvaluationStepByTenderIdAndStepId");
		Map<String, Object> param = new HashMap<String, Object>();
		if(null != tenderId ){
			param.put("tenderId", tenderId);			
		}
		param.put("StepId", StepId);
		try{
			String result = NetworkRequest.get(strWebServerUrl, param);
			if(ResultStatus.getReultStatusIsNotEmpty(result)){
				return JsonUtil.strToList(result, SupplierEvaluationStep.class);
			}
			return null;
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return null;
		}
	}
	

	public SupplierEvaluationStep getSupplierEvaluationStepBySupplierIdAndStepId(String supplierId,String stepId){
		String strWebServerUrl = Constants.getServiceUrl( URL + "/getSupplierEvaluationStepBySupplierIdAndStepId");
		Map<String, Object> param = new HashMap<String, Object>();
		param.put("supplierId", supplierId);
		param.put("stepId", stepId);
		try{
			String result = NetworkRequest.get(strWebServerUrl, param);
			if(ResultStatus.getReultStatusIsNotEmpty(result)){
				return JsonUtil.jsonToBean(result, SupplierEvaluationStep.class);
			}
			return null;
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return null;
		}
	}
	
}
