package com.gx.obe.web.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.log4j.Logger;

import com.gx.obe.business.entity.TemplateLibrary;
import com.gx.obe.components.core.Constants;
import  com.gx.obe.web.utils.NetworkRequest;
import com.gx.obe.http.json.JsonUtil;
import com.gx.obe.web.utils.ResultStatus;

/** 
 * @Description: 
 * @author mazc 
 */
public class TemplateLibraryService {
	static final String URL = "templateLibrary";
	private Logger logger = Logger.getLogger(TemplateLibraryService.class);
	
	public List<TemplateLibrary> getTemplateLibraryAll(){
		String strWebServerUrl = Constants.getServiceUrl(URL + "/getTemplateLibraryAll");
		try {
			String result = NetworkRequest.get(strWebServerUrl);	
			if(ResultStatus.getReultStatusIsNotEmpty(result)){
				return JsonUtil.jsonToList(result, TemplateLibrary.class);
			}
			return null;
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return null;
		}
	}
	
	/**
	 * @Description: 
	 * @author mazc
	 * @param id
	 * @return 
	 */
	public TemplateLibrary getById(String id){
		String strWebServerUrl = Constants.getServiceUrl( URL + "/getById");
 		Map<String, Object> param = new HashMap<String, Object>();
		param.put("id", id);
		try {
			String result = NetworkRequest.get(strWebServerUrl, param);
			if(ResultStatus.getReultStatusIsNotEmpty(result)){
				return JsonUtil.jsonToBean(result, TemplateLibrary.class);
			}
			return null;
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return null;
		}

	}
	
	/**
	 * @Description: 
	 * @author mazc
	 * @param 
	 * @return 
	 */
	public TemplateLibrary saveOrUpdateNoEmptyReturn(TemplateLibrary templateLibrary){
		String strWebServerUrl = Constants.getServiceUrl( URL + "/saveOrUpdateNoEmptyReturn");
		try {
			String result = NetworkRequest.post(strWebServerUrl ,JsonUtil.jsonObjectToStr(templateLibrary));
			if(ResultStatus.getReultStatusIsNotEmpty(result)){
				return JsonUtil.jsonToBean(result, TemplateLibrary.class);
			}
			return null;
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return null;
		}
	}
	
}
