package com.gx.obe.web.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.log4j.Logger;

import com.gx.obe.business.entity.VideoFile;
import com.gx.obe.components.core.Constants;
import com.gx.obe.http.json.JsonUtil;
import  com.gx.obe.web.utils.NetworkRequest;
import com.gx.obe.web.utils.ResultStatus;

public class VideoReportFileService {
	
	static final String URL = "videoFile";
	
	private Logger logger = Logger.getLogger(VideoReportFileService.class);

	public List<VideoFile> getReportFile(String tenderId) { 
		String strWebServerUrl = Constants.getServiceUrl(URL + "/getVideoReportFile");
//		String strWebServerUrl = "http://127.0.0.1:8081/"+URL+"/getVideoReportFile"; 
		Map<String, Object> param = new HashMap<String, Object>();       
		param.put("tenderId",tenderId);
		try {
			String result = NetworkRequest.post(strWebServerUrl, param);
			if(ResultStatus.getReultStatusIsNotEmpty(result)){
				return JsonUtil.jsonToList(result, VideoFile.class);
			}
			return null;
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return null;
		}
	}
	
	public boolean saveOrUpadte(VideoFile videoFile) {
		String strWebServerUrl = Constants.getServiceUrl(URL + "/saveOrUpadte");
		try {
			String result = NetworkRequest.post(strWebServerUrl, JsonUtil.jsonObjectToStr(videoFile));
			return ResultStatus.getReultStatusBoolean(result);
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return false;
		}
	}
	
	public static void main(String[] args) {
		VideoReportFileService vi = new VideoReportFileService();
		List<VideoFile> asd = vi.getReportFile("1231231313123414");
		System.out.println(asd);
	}
	
}
