package com.gx.obe.web.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.log4j.Logger;

import com.gx.obe.components.core.Constants;
import com.gx.obe.components.core.enumeration.CommonEnum;
import  com.gx.obe.web.utils.NetworkRequest;
import com.gx.obe.http.json.JsonUtil;
import com.gx.obe.web.entity.Supplier;
import com.gx.obe.web.utils.ResultStatus;

/** 
 * @Description: 供应商
 * @author wangxiang 
 */
public class WebSupplierService {
	
	static final String URL = "supplier";
	
	private Logger logger = Logger.getLogger(WebSupplierService.class);
	/**
	 * @Description: 查询项目或标段下的投标人
	 * @author guoyr
	 * @param tenderId
	 * @return
	 */
	public List<Supplier> getSupplierList(String tenderId){
		//获取服务器地址
		String strWebServerUrl = Constants.getServiceUrl( URL +"/getSupplierList");
		//param
		Map<String, Object> param = new HashMap<String, Object>();
		param.put("tenderId", tenderId);
		param.put("useStatus", CommonEnum.REAL_STATUS);
		try{
			String result = NetworkRequest.get(strWebServerUrl, param);
			if(ResultStatus.getReultStatusIsNotEmpty(result)){
				List<Supplier> supplierList = JsonUtil.StrToCollection(result, Supplier.class);				
				return supplierList;
			}
			return null;
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return null;
		}
	}

}
