package com.gx.obe.web.service.boq;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.log4j.Logger;

import com.gx.obe.components.core.Constants;
import  com.gx.obe.web.utils.NetworkRequest;
import com.gx.obe.http.json.JsonUtil;
import com.gx.obe.web.entity.boq.AppraisalPrice;
import com.gx.obe.web.utils.ResultStatus;

public class AppraisalPriceService {
	
	private static final String URL = "obeAppraisalPrice";
	
	private Logger logger = Logger.getLogger(AppraisalPriceService.class);
	
	/**
	 * @Description: 根据工程Id，获得暂估价
	 * @author guoyr
	 * @param projectId
	 * @return List<AppraisalPrice>
	 */
	public List<AppraisalPrice> getAppraisalPriceListByProjectId(String projectId) {
		String strWebServerUrl = Constants.getServiceUrl(URL + "/getAppraisalPriceListByProjectId");
		Map<String, Object> param = new HashMap<String, Object>();
		param.put("projectId", projectId);
		try {
			String result = NetworkRequest.get(strWebServerUrl, param);
			if (ResultStatus.getReultStatusOK(result)) {
				return JsonUtil.jsonToList(result, AppraisalPrice.class);
			}
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
		}
		return null;
	}
	
}
