package com.gx.obe.web.service.boq;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.log4j.Logger;

import com.gx.obe.components.core.Constants;
import  com.gx.obe.web.utils.NetworkRequest;
import com.gx.obe.http.json.JsonUtil;
import com.gx.obe.web.entity.boq.DayWorks;
import com.gx.obe.web.utils.ResultStatus;

public class DayWorksService {
	
	private static final String URL = "obeDayWorks";
	
	private Logger logger = Logger.getLogger(DayWorksService.class);
	
	/**
	 * @Description: 根据工程Id，获得计日工信息。
	 * @author guoyr
	 * @param projectId
	 * @return DayWorks
	 */
	public List<DayWorks> getDayWorksListByProjectId(String projectId) {
		String strWebServerUrl = Constants.getServiceUrl(URL + "/getDayWorksListByProjectId");
		Map<String, Object> param = new HashMap<String, Object>();
		param.put("projectId", projectId);
		try {
			String result = NetworkRequest.get(strWebServerUrl, param);
			if (ResultStatus.getReultStatusOK(result)) {
				return JsonUtil.jsonToList(result, DayWorks.class);
			}
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
		}
		return null;
	}
	
}
