package com.gx.obe.web.service.boq;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.log4j.Logger;

import com.gx.obe.components.core.Constants;
import  com.gx.obe.web.utils.NetworkRequest;
import com.gx.obe.http.json.JsonUtil;
import com.gx.obe.web.entity.boq.ProjectSummary;
import com.gx.obe.web.utils.ResultStatus;

public class ProjectSummaryService {
	
	private static final String URL = "obeProjectSummary";
	
	private Logger logger = Logger.getLogger(ProjectSummaryService.class);
	
	/**
	 * @Description: 获得项目的汇总列表
	 * @author guoyr
	 * @param projectId
	 * @return
	 */
	public List<ProjectSummary> getProjectSummaryAndChildList(String projectId) {
		String strWebServerUrl = Constants.getServiceUrl(URL + "/getProjectSummaryAndChildList");
		Map<String, Object> param = new HashMap<String, Object>();
		param.put("projectId", projectId);
		try {
			String result = NetworkRequest.get(strWebServerUrl, param);
			if (ResultStatus.getReultStatusOK(result)) {
				return JsonUtil.jsonToList(result, ProjectSummary.class);
			}
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
		}
		return null;
	}
	
}
