package com.gx.obe.web.service.boq;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.log4j.Logger;

import com.gx.obe.components.core.Constants;
import  com.gx.obe.web.utils.NetworkRequest;
import com.gx.obe.http.json.JsonUtil;
import com.gx.obe.web.entity.boq.ProvisionalSums;
import com.gx.obe.web.utils.ResultStatus;

public class ProvisionalSumsService {
	
	private static final String URL = "obeProvisionalSums";
	
	private Logger logger = Logger.getLogger(ProvisionalSumsService.class);
	
	/**
	 * @Description:  根据工程Id，获得暂列金额
	 * @author guoyr
	 * @param projectId
	 * @return List<ProvisionalSums>
	 */
	public List<ProvisionalSums> getProvisionalSumsListByProjectId(String projectId){
		String strWebServerUrl = Constants.getServiceUrl(URL + "/getProvisionalSumsListByProjectId");
		Map<String, Object> param = new HashMap<String, Object>();
		param.put("projectId", projectId);
		try {
			String result = NetworkRequest.get(strWebServerUrl, param);
			if (ResultStatus.getReultStatusOK(result)) {
				return JsonUtil.jsonToList(result, ProvisionalSums.class);
			}
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
		}
		return null;
	}
	
}
