package com.gx.obe.web.service.boq;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.log4j.Logger;

import com.gx.obe.components.core.Constants;
import  com.gx.obe.web.utils.NetworkRequest;
import com.gx.obe.http.json.JsonUtil;
import com.gx.obe.web.entity.boq.QuotaItem;
import com.gx.obe.web.utils.ResultStatus;

public class QuotaItemService {
	
	private static final String URL = "obeQuotaItem";
	
	private Logger logger = Logger.getLogger(QuotaItemService.class);
	
	/**
	 * @Description: 获得清单的定额列表
	 * @param tenderId
	 * @param supplierId
	 * @return
	 */
	public List<QuotaItem> getBillQuotaItemList(String billId) {
		String strWebServerUrl = Constants.getServiceUrl(URL + "/getBillQuotaItemList");
		Map<String, Object> param = new HashMap<String, Object>();
		param.put("billId", billId);
		try {
			String result = NetworkRequest.get(strWebServerUrl, param);
			if (ResultStatus.getReultStatusOK(result)) {
				return JsonUtil.jsonToList(result, QuotaItem.class);
			}
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
		}
		return null;
	}
	
}
