package com.gx.obe.web.service.boq;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.log4j.Logger;

import com.gx.obe.components.core.Constants;
import  com.gx.obe.web.utils.NetworkRequest;
import com.gx.obe.http.json.JsonUtil;
import com.gx.obe.web.entity.boq.RatesTable;
import com.gx.obe.web.utils.ResultStatus;

public class RatesTableService {
	
	private static final String URL = "obeRatesTable";
	
	private Logger logger = Logger.getLogger(RatesTableService.class);
	
	/**
	 * @Description: 获得供应商的费率列表
	 * @param tenderId
	 * @param supplierId
	 * @return
	 */
	public List<RatesTable> getRatesTableList(String tenderId, String supplierId, String projectId, String rateType) {
		String strWebServerUrl = Constants.getServiceUrl(URL + "/getRatesTableList");
		Map<String, Object> param = new HashMap<String, Object>();
		param.put("tenderId", tenderId);
		param.put("supplierId", supplierId);
		param.put("projectId", projectId);
		param.put("rateType", rateType);
		try {
			String result = NetworkRequest.get(strWebServerUrl, param);
			if (ResultStatus.getReultStatusOK(result)) {
				return JsonUtil.jsonToList(result, RatesTable.class);
			}
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
		}
		return null;
	}
	
}
