package com.gx.obe.web.service.boq;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.log4j.Logger;

import com.gx.obe.components.core.Constants;
import  com.gx.obe.web.utils.NetworkRequest;
import com.gx.obe.http.json.JsonUtil;
import com.gx.obe.web.entity.boq.ServiceCosts;
import com.gx.obe.web.utils.ResultStatus;

public class ServiceCostsService {
	
	private static final String URL = "obeServiceCosts";
	
	private Logger logger = Logger.getLogger(ServiceCostsService.class);
	
	/**
	 * @Description: 根据项目Id，获得总承包服务费。
	 * @author guoyr
	 * @param projectId
	 * @return ServiceCosts
	 */
	public List<ServiceCosts> getServiceCostsListByProjectId(String projectId) {
		String strWebServerUrl = Constants.getServiceUrl(URL + "/getServiceCostsListByProjectId");
		Map<String, Object> param = new HashMap<String, Object>();
		param.put("projectId", projectId);
		try {
			String result = NetworkRequest.get(strWebServerUrl, param);
			if (ResultStatus.getReultStatusOK(result)) {
				return JsonUtil.jsonToList(result, ServiceCosts.class);
			}
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
		}
		return null;
	}
	
}
