package com.gx.obe.web.service.boq;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.log4j.Logger;

import com.gx.obe.components.core.Constants;
import  com.gx.obe.web.utils.NetworkRequest;
import com.gx.obe.http.json.JsonUtil;
import com.gx.obe.web.entity.boq.SupplyMaterialDetail;
import com.gx.obe.web.utils.ResultStatus;

public class SupplyMaterialDetailService {
	
	private static final String URL = "obeSupplyMaterialDetail";
	
	private Logger logger = Logger.getLogger(SupplyMaterialDetailService.class);
	
	/**
	 * @Description: 根据工程项目id获取招标人供应材料设备明细列表
	 * @author chenxw
	 * @param projectId
	 * @return
	 */
	public List<SupplyMaterialDetail> getSupplyMaterialDetailListByProjectId(String projectId) {
		String strWebServerUrl = Constants.getServiceUrl(URL + "/getRatesTableList");
		Map<String, Object> param = new HashMap<String, Object>();
		param.put("projectId", projectId);
		try {
			String result = NetworkRequest.get(strWebServerUrl, param);
			if (ResultStatus.getReultStatusOK(result)) {
				return JsonUtil.jsonToList(result, SupplyMaterialDetail.class);
			}
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
		}
		return null;
	}
	
}
