package com.gx.obe.web.service.evaluation;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.log4j.Logger;

import com.gx.obe.components.core.Constants;
import  com.gx.obe.web.utils.NetworkRequest;
import com.gx.obe.http.json.JsonUtil;
import com.gx.obe.web.entity.expert.Expert;
import com.gx.obe.web.utils.ResultStatus;

/** 
 * @Description: 评标步骤分配的专家
 * @author mazc 
 */
public class EvaluationStepExpertService {
	static final String URL = "evaluationStepExpert";

	private Logger logger = Logger.getLogger(EvaluationStepExpertService.class);
	
	/**
	 * @Description: 获取步骤id
	 * @author mazc
	 * @param tenderId
	 * @param userId
	 * @return 
	 */
	public List<String> finStepIdByTenderIdAndUserId(String tenderId , String userId){
		//获取服务器地址
		String strWebServerUrl = Constants.getServiceUrl( URL + "/findStepIdByTenderIdAndUserId");
		Map<String, Object> param = new HashMap<String, Object>();
		param.put("tenderId", tenderId);
		param.put("userId", userId);
		try {
			String result = NetworkRequest.get(strWebServerUrl, param);
			if(ResultStatus.getReultStatusIsNotEmpty(result)){
				return  JsonUtil.jsonToList(result, String.class);
			}
			return null;
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return null;
		}
	}
 	
	/**
	 * @Description: 获取用户id
	 * @author mazc
	 * @param tenderId
	 * @param userId
	 * @return 
	 */
	public List<Expert> findUserIdByTenderIdAndStepId(String tenderId , String stepId){
		//获取服务器地址
		String strWebServerUrl = Constants.getServiceUrl( URL + "/findUserIdByTenderIdAndStepId"); 
		Map<String, Object> param = new HashMap<String, Object>();
		param.put("tenderId", tenderId);
		param.put("stepId", stepId);
		try {
			String result = NetworkRequest.get(strWebServerUrl, param);
			if(ResultStatus.getReultStatusIsNotEmpty(result)){
				return  JsonUtil.jsonToList(result, Expert.class);
			}
			return null;
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return null;
		}
	}
	
}
