package com.gx.obe.web.service.evaluation;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.log4j.Logger;

import com.gx.obe.components.core.Constants;
import  com.gx.obe.web.utils.NetworkRequest;
import com.gx.obe.http.json.JsonUtil;
import com.gx.obe.web.utils.ResultStatus;

public class EvaluationStepFactorService {
	
	protected static final String URL = "evaluationStepFactor";

	protected static final Logger logger = Logger.getLogger(EvaluationStepFactorService.class);
	
	
	public List<Object> getFactorIdLsitByStepId(String stepId){
		String strWebServerUrl = Constants.getServiceUrl(URL + "/getFactorIdLsitByStepId");
		Map<String, Object> param = new HashMap<String, Object>();
		param.put("stepId", stepId);
		try {
			String result = NetworkRequest.get(strWebServerUrl, param);
			if (ResultStatus.getReultStatusIsNotEmpty(result)) {
				return JsonUtil.StrToCollection(result, Object.class);
			}
			return null;
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return null;
		}
	}
}
