package com.gx.obe.web.service.log;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

import org.apache.log4j.Logger;

import com.gx.obe.components.core.Constants;
import com.gx.obe.http.json.JsonUtil;
import com.gx.obe.util.utils.DateUtils;
import com.gx.obe.web.entity.Page;
import com.gx.obe.web.entity.log.SysLog;
import com.gx.obe.web.utils.NetworkRequest;
import com.gx.obe.web.utils.ResultStatus;

public class SysLogService {
	
	static final String URL = "sysLog";
	
	private Logger logger = Logger.getLogger(SysLogService.class);
	
 
	/**
	 * 	插入操作日志
	 * @param sysLog
	 */
	public void addOperationLog(SysLog sysLog){
		//请求地址
		String strWebServerUrl = Constants.getServiceUrl( URL + "/addOperationLog");
 		try {
 			NetworkRequest.post(strWebServerUrl, JsonUtil.jsonObjectToStr(sysLog));
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
		}
	}

	public Page<SysLog> selectConditionQuery(String createUser,String title,String params,Date createTime,Date endTime,String returnValue,Boolean isException,int pageNo, int pageSize){
		//获取服务器地址
		String strWebServerUrl = Constants.getServiceUrl(URL + "/selectConditionQuery");
		Map<String, Object> param = new HashMap<String, Object>();
 		param.put("pageNo", pageNo);
		param.put("pageSize", pageSize);
		param.put("createUser", createUser);
		param.put("title", title);
		param.put("params", params);
		param.put("createTime", DateUtils.getFormat(createTime, DateUtils.TIMESTAMP_STR));
		param.put("endTime", DateUtils.getFormat(endTime, DateUtils.TIMESTAMP_STR));
		param.put("returnValue", returnValue);
		param.put("isException", isException);
		try{
			String result = NetworkRequest.get(strWebServerUrl, param);
			if(ResultStatus.getReultStatusIsNotEmpty(result)){
				Map<String, Class> classMap = new HashMap<String, Class>();
				classMap.put("records", SysLog.class);
				return JsonUtil.strToObject(result, Page.class, classMap);
			}
			return null;
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
			return null;
		}
	}
	
	
}
